diff options
author | Linus Torvalds <torvalds@linux-foundation.org> | 2008-01-29 06:46:14 -0500 |
---|---|---|
committer | Linus Torvalds <torvalds@linux-foundation.org> | 2008-01-29 06:46:14 -0500 |
commit | 5ea293a9048d3a58cb0c840fa719d85ad14cba47 (patch) | |
tree | 88d1dd1eece2cfcbd858ff2c00fb0240dcfab3c7 /scripts/kconfig/lxdialog/check-lxdialog.sh | |
parent | 03bc26cfefd6db756e6bc7fcda11dc17ada7be16 (diff) | |
parent | d3883ecebbf9e095b9e379dabbbe8b2c1ee7a41c (diff) |
Merge git://git.kernel.org/pub/scm/linux/kernel/git/sam/kbuild
* git://git.kernel.org/pub/scm/linux/kernel/git/sam/kbuild: (79 commits)
Remove references to "make dep"
kconfig: document use of HAVE_*
Introduce new section reference annotations tags: __ref, __refdata, __refconst
kbuild: warn about ld added unique sections
kbuild: add verbose option to Section mismatch reporting in modpost
kconfig: tristate choices with mixed tristate and boolean values
asm-generic/vmlix.lds.h: simplify __mem{init,exit}* dependencies
remove __attribute_used__
kbuild: support ARCH=x86 in buildtar
kconfig: remove "enable"
kbuild: simplified warning report in modpost
kbuild: introduce a few helpers in modpost
kbuild: use simpler section mismatch warnings in modpost
kbuild: link vmlinux.o before kallsyms passes
kbuild: introduce new option to enhance section mismatch analysis
Use separate sections for __dev/__cpu/__mem code/data
compiler.h: introduce __section()
all archs: consolidate init and exit sections in vmlinux.lds.h
kbuild: check section names consistently in modpost
kbuild: introduce blacklisting in modpost
...
Diffstat (limited to 'scripts/kconfig/lxdialog/check-lxdialog.sh')
-rw-r--r-- | scripts/kconfig/lxdialog/check-lxdialog.sh | 16 |
1 files changed, 9 insertions, 7 deletions
diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh index 9681476b96e7..62e1e02126e6 100644 --- a/scripts/kconfig/lxdialog/check-lxdialog.sh +++ b/scripts/kconfig/lxdialog/check-lxdialog.sh | |||
@@ -36,14 +36,16 @@ trap "rm -f $tmp" 0 1 2 3 15 | |||
36 | 36 | ||
37 | # Check if we can link to ncurses | 37 | # Check if we can link to ncurses |
38 | check() { | 38 | check() { |
39 | echo "main() {}" | $cc -xc - -o $tmp 2> /dev/null | 39 | echo -e " #include CURSES_LOC \n main() {}" | |
40 | $cc -xc - -o $tmp 2> /dev/null | ||
40 | if [ $? != 0 ]; then | 41 | if [ $? != 0 ]; then |
41 | echo " *** Unable to find the ncurses libraries." 1>&2 | 42 | echo " *** Unable to find the ncurses libraries or the" 1>&2 |
42 | echo " *** make menuconfig require the ncurses libraries" 1>&2 | 43 | echo " *** required header files." 1>&2 |
43 | echo " *** " 1>&2 | 44 | echo " *** 'make menuconfig' requires the ncurses libraries." 1>&2 |
44 | echo " *** Install ncurses (ncurses-devel) and try again" 1>&2 | 45 | echo " *** " 1>&2 |
45 | echo " *** " 1>&2 | 46 | echo " *** Install ncurses (ncurses-devel) and try again." 1>&2 |
46 | exit 1 | 47 | echo " *** " 1>&2 |
48 | exit 1 | ||
47 | fi | 49 | fi |
48 | } | 50 | } |
49 | 51 | ||